Skip to main content
POST
/
vaults
/
{vaultId}
/
addresses
Create Vault Address
curl --request POST \
  --url https://api.dfns.io/vaults/{vaultId}/addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-DFNS-USERACTION: <api-key>' \
  --data '{}'
import requests

url = "https://api.dfns.io/vaults/{vaultId}/addresses"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};

fetch('https://api.dfns.io/vaults/{vaultId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "walletId": "<string>",
  "network": "<string>",
  "address": "<string>"
}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Vaults:Addresses:Create: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

vaultId
string
required

Vault id.

Required string length: 1 - 64
Pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Body

application/json
network
enum<string>
required
Available options:
ArbitrumOne,
ArbitrumSepolia,
ArcTestnet,
AvalancheC,
AvalancheCFuji,
Base,
BaseSepolia,
Bob,
BobSepolia,
Bsc,
BscTestnet,
Berachain,
BerachainBepolia,
Celo,
CeloAlfajores,
Codex,
CodexSepolia,
Ethereum,
EthereumClassic,
EthereumClassicMordor,
EthereumSepolia,
EthereumHoodi,
FlareC,
FlareCCoston2,
FlowEvm,
FlowEvmTestnet,
Ink,
InkSepolia,
Optimism,
OptimismSepolia,
Plasma,
PlasmaTestnet,
Plume,
PlumeSepolia,
Polygon,
PolygonAmoy,
Race,
RaceSepolia,
Rayls,
RaylsTestnet,
Robinhood,
RobinhoodSepolia,
SeiPacific1,
SeiAtlantic2,
Sonic,
SonicTestnet,
Tempo,
TempoModerato,
Tsc,
TscTestnet1,
Xdc,
XdcApothem,
XLayer,
XLayerSepolia

Response

200 - application/json

Success

Vault address object.

walletId
string
required
network
string
required
address
string
required
Last modified on July 9, 2026